%define name	moto4lin
%define version 0.3
%define release %mkrel 1

%define appsdir %{_datadir}/applications
%define pixdir	%{_datadir}/icons

Summary:	Filemanager and seem editor for Motorola P2k phones
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://moto4lin.sourceforge.net/wiki/Main_Page
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Patch1:		%{name}-%{version}-crossplatform.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libqt3-devel >= 3.3.3 desktop-file-utils libusb-devel >= 0.1.8
Conflicts:	moto4lin-cvs
Packager:	kjpetrie <pclos dot bugs at instabook dot com>

%description
This software is Filemanager and seem editor for Motorola P2k phones
(like C380/C650).

%prep
rm -rf %{buildroot}
mkdir %{buildroot}

%setup -q
%patch1 -p1 -b crossplatform
qmake

%build
make CXX="g++ $RPM_OPT_FLAGS" all

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}
%__install -p -D %{SOURCE1} %{buildroot}%{pixdir}/%{name}.png
cat >%{buildroot}/%{name}.desktop << D_TOP_END
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
GenericName=Filemanager for Motorola P2k phones
Comment=Upload ringtones and download photos.
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;PDA;X-MandrivaLinux-Office-Communications-PDA;
Version=0.3

D_TOP_END

desktop-file-install --vendor="" \
  --dir=%{buildroot}%{appsdir} %{buildroot}/%{name}.desktop
rm -f %{buildroot}/%{name}.desktop

%__install -p -D moto4lin %{buildroot}%{_bindir}/%{name}
chmod a+X %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%doc README Changelog GPL-2
%defattr(-,root,root)
%{_bindir}/%{name}
%attr (0644,root,root) %{pixdir}/%{name}.png
%{appsdir}/%{name}.desktop

%changelog
* Mon  May 12 2008 kjpetrie <pclos dot bugs at instabook dot com> 0.3-1pclos2007
- initial build
